Unverified Commit 96f95bdf authored by Gavin Wood's avatar Gavin Wood Committed by GitHub
Browse files

Fix the can-author issue by defaulting to Kusama when no chainspec given. (#728)

* Fix can_author by defaulting correctly.

* Comments

* Better logging

* Bump Substrate

* Minor updates to readme.
parent 9655ba41
Pipeline #73562 canceled with stages
in 18 minutes and 20 seconds
This diff is collapsed.
......@@ -9,13 +9,13 @@ Implementation of a https://polkadot.network node in Rust.
## NOTE
In 2017 we split our implementation of "Polkadot" from its platform-level component "Substrate". When we split them, we split the Polkadot code off into another repo (this repo), leaving the [**Substrate** repo][substrate-repo] to be what used to be Polkadot, along with its branches and releases.
In 2018 we split our implementation of "Polkadot" from its platform-level component "Substrate". When we split them, we split the Polkadot code off into another repo (this repo), leaving the [**Substrate** repo][substrate-repo] to be what used to be Polkadot, along with its branches and releases.
We are actively building both Substrate and Polkadot, but things will be a little odd for a while. If you see "substrate" and are wondering why you need it for Polkadot, now you know.
To connect on the "Kusama" canary network, you will want the `v0.7` code, which is in this **Polkadot** repo. To play on the ("Alexander") testnet, you'll want the PoC-4 code instead. Note that PoC-3 uses the Alexander testnet, but will not be able to sync to the latest block.
* **Kusama CC-3** is in this [**Polkadot**] repo `master` branch.
* **Kusama** (né Kusama CC-3) is in this [**Polkadot**] repo `master` branch.
* **Kusama CC-2** is in this [**Polkadot**][polkadot-v0.6] repo branch `v0.6`.
......
......@@ -76,11 +76,14 @@ pub fn run<E: IntoExit>(exit: E, version: cli::VersionInfo) -> error::Result<()>
"parity-polkadot",
std::env::args(),
);
// TODO: Use `IsKusama` trait. #727
if cmd
.shared_params()
.and_then(|p| p.chain.as_ref())
.and_then(|c| ChainSpec::from(c))
.map_or(false, |c| c.is_kusama())
.map_or(true, |p| ChainSpec::from(&p)
.map_or(false, |c| c.is_kusama())
)
{
execute_cmd_with_runtime::<
service::kusama_runtime::RuntimeApi,
......@@ -120,7 +123,7 @@ where
info!("{}", version.name);
info!(" version {}", config.full_version());
info!(" by {}, 2017-2019", version.author);
info!("Chain specification: {}", config.chain_spec.name());
info!("Chain specification: {} (native: {})", config.chain_spec.name(), D::native_version().runtime_version);
if config.is_kusama() {
info!("----------------------------");
info!("This chain is not in any way");
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment